90  PRINT "PROGRAM TO CALCULATE PARAMETERS OF AN OCTAGONAL"
91  PRINT "LOOP ANTENNA OF SMALL DIMENSION. ORIGINAL ARTICLE"
92  PRINT "           TAKEN FROM JUNE, 1986 QST"
93  PRINT 
94  PRINT "     PROGRAM BY George G. Manning, K2RRR": PRINT : PRINT : PRINT 
100  INPUT "Length of Section in Feet -- ";B
110  INPUT "Frequency in MHz -- ";F
120  INPUT "Diameter of Conductor in Inches (Must be Decimal Figure!) -- ";D
130  INPUT "Transmitter Power (Watts) -- ";P
131  GOTO 500
150 B = 1: PRINT "LENGTH OF SIDE = ";B;" FEET."
151 F = 14: PRINT "FREQUENCY = ";F;"MEGAHERTZ."
152 D = .75: PRINT "DIAMETER OF CONDUCTOR = ";D;" INCH."
153 P = 100: PRINT "TRANSMITTER POWER = ";P;" WATTS."
500 PI = 3.1415926535#
505 S = 8 * B
510 M = .4342944819#
540 A = 4.82843 * (B ^ 2): REM   Calculate area of Octagon.  
1000 RR = 3.38E-08 * ((F ^ 2 * A) ^ 2): REM   CALCULATE RADIAT            ION RESISTANCE
1010 RL = .000996 * ( SQR (F * (S / D))): REM      "      LOSS    "
1020 N = RR / (RR + RL): REM  CALCULATE EFFICIENCY
1030 L = 1.9E-08 * S * (7.353 * (M * ( LOG (((96 * S) / (PI * D)) )))-6.386): REM  M CONVERTS NATURAL LOG TO COMMON LOG
1031  GOTO 1040
1032  PRINT "L= ";L: PRINT : PRINT : PRINT 
1033  END 
1040 XL = 2 * PI * F * L * 1000000!
1050 CT =(1 / (2 * PI * F * XL * 1000000!))*1E+12
1060 Q = XL / (2 * (RR + RL))
1070 DF = F / Q
1080 CD = .82 * S
1090 VC =  SQR (P * XL * Q)
1098  PRINT : PRINT "PARAMETERS OF OCTAGONAL LOOP ARE AS FOLLOWS:"
1099  PRINT : PRINT : PRINT 
2000  PRINT "Radiation Resistance = ";RR;" Ohms."
2010  PRINT "Loss Resistance = ";RL
2020  PRINT "Efficiency = ";N
2030  PRINT "Inductance = ";L
2040  PRINT "Inductive Reactance = ";XL
2050  PRINT "Tuning Capacitor = ";CT
2060  PRINT "Q = ";Q
2070  PRINT "Bandwidth = ";DF
2080  PRINT "Distributed Capacitance = ";CD
2090  PRINT "Capacitor Voltage = ";VC
2100  END 
